Subject: http/2 TRACE method

From: Francisco Moraes <[email-masked]>
Date: Wed, 9 Sep 2015 17:07:38 -0400

Hi,

I tried to find the answer for this question via Google but was not 
lucky. I've also checked the http/2 RFC but but found no answer as well.

Wondering if you know what the behavior of the HTTP TRACE method should 
be with http/2. Should it just echo back the headers/response as 
decoded, as binary?

It is not clear what a server response should be in this case or if it 
is even supported.

Francisco

---

From: Martin Thomson <[email-masked]>
Date: Wed, 9 Sep 2015 15:01:33 -0700

TRACE echoes the request as message/http.  That doesn't need new
behaviour.  It does mean that the header fields will need to be
decoded so that they can be presented in that format (which is
basically the HTTP/1.1 form).

On 9 September 2015 at 14:07, Francisco Moraes
<[email-masked]> wrote:
> Hi,
>
> I tried to find the answer for this question via Google but was not lucky.
> I've also checked the http/2 RFC but but found no answer as well.
>
> Wondering if you know what the behavior of the HTTP TRACE method should be
> with http/2. Should it just echo back the headers/response as decoded, as
> binary?
>
> It is not clear what a server response should be in this case or if it is
> even supported.
>
> Francisco
>